Subject: Re: TCL Comp. Chem tools..

From: "Dimitris Agrafiotis" <[email-masked]>
Date: Fri, 5 May 1995 14:53:19 -0400

On May 5,  1:06pm, Hinsen Konrad wrote:
> Subject: CCL:TCL Comp. Chem tools..
>
> Before everyone becomes too enthusiastic about Tcl, I would like
> to point out that Tcl - like most "scripting" languages - is
> very limited, especially when it comes to data manipulation.
> If all you want is to automatize a short sequence of actions,
> that's fine - but don't expect more from it.
>
>  ...
>
> Standardization is attractive, as you point out. But the history
> of computing also shows the dangers of premature standardization,
> leading to standards that are not good enough for their purpose.
> Fortran and DOS come to mind as obvious examples, but there are
> some less obvious ones - like the X Window system, which has
> failed to provide uniform and efficient user interfaces for the
> Unix world.

You realize, of course, that Tcl can be used from inside C or C++ if
you need access to sophisticated data handling capabilities. In fact,
we use this functionality extensively at 3D Pharmaceuticals with
very impressive results. I do agree that there is need for a
unified language, but that's not going to happen for a long, long time.
As for standardization, my feeling is that having a premature standard
is far better than having no standard at all. Still, your comments
are valid and very well taken.

-- 
Dimitris K. Agrafiotis, PhD             | e-mail: [email-masked]
3-Dimensional Pharmaceuticals, Inc.     | tel:    (610) 458-6045
665 Stockton Drive, Suite 104           | fax:    (610) 458-8249
Exton, PA 19341